package jp.co.intra_mart.sample.im_workflow.tsfw.domain.service;

import javax.inject.Inject;

import jp.co.intra_mart.foundation.workflow.application.general.UserActvMatterPropertyValue;
import jp.co.intra_mart.foundation.workflow.application.model.UserMatterPropertyModel;
import jp.co.intra_mart.foundation.workflow.exception.WorkflowException;
import jp.co.intra_mart.sample.im_workflow.WorkflowActvMatterDeleteListenerService;
import jp.co.intra_mart.sample.im_workflow.tsfw.domain.repository.SampleImwTPurchaseRepository;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

@Service
@Transactional(propagation = Propagation.MANDATORY)
public class WorkflowActvMatterDeleteListenerServiceImpl implements WorkflowActvMatterDeleteListenerService {

    @Inject
    SampleImwTPurchaseRepository repository;

    @Override
    public void execute(final String loginGroupId, final String localeId, final String systemMatterId, final String userDataId) throws WorkflowException {
        outputLog(loginGroupId, localeId, systemMatterId, userDataId);
        // ユーザアプリケーションデータを削除します。
        repository.delete(userDataId);

        final UserMatterPropertyModel matterPropertyModel = new UserMatterPropertyModel();
        matterPropertyModel.setUserDataId(userDataId);
        matterPropertyModel.setMatterPropertyKey("item_total");

        final UserActvMatterPropertyValue property = new UserActvMatterPropertyValue();
        final UserMatterPropertyModel[] matterProperty = new UserMatterPropertyModel[1];
        matterProperty[0] = matterPropertyModel;
        // 案件プロパティを削除します。
        property.deleteMatterProperty(matterProperty);
    }

    private void outputLog(final String loginGroupId, final String localeId, final String systemMatterId, final String userDataId) {
        System.out.println("----- WorkflowActvMatterDeleteListener - execute -----");
        System.out.println("LoginGroupId        : " + loginGroupId);
        System.out.println("LocaleId            : " + localeId);
        System.out.println("systemMatterId      : " + systemMatterId);
        System.out.println("userDataId          : " + userDataId);
        System.out.println("----- WorkflowActvMatterDeleteListener - execute -----");
    }
}
