package jp.co.intra_mart.sample.im_workflow.tsfw.domain.service;

import javax.inject.Inject;

import jp.co.intra_mart.foundation.workflow.exception.WorkflowException;
import jp.co.intra_mart.sample.im_workflow.WorkflowCplMatterDeleteListenerService;
import jp.co.intra_mart.sample.im_workflow.tsfw.domain.repository.SampleImwTPurchaseRepository;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

@Service
@Transactional(propagation = Propagation.MANDATORY)
public class WorkflowCplMatterDeleteListenerServiceImpl implements WorkflowCplMatterDeleteListenerService {

    @Inject
    SampleImwTPurchaseRepository repository;

    @Override
    public void execute(final String loginGroupId, final String localeId, final String systemMatterId, final String userDataId) throws WorkflowException {
        outputLog(loginGroupId, localeId, systemMatterId, userDataId);
        // ユーザアプリケーションデータを削除します。
        repository.delete(userDataId);
    }

    private void outputLog(final String loginGroupId, final String localeId, final String systemMatterId, final String userDataId) {
        System.out.println("----- WorkflowCplMatterDeleteListener - execute -----");
        System.out.println("LoginGroupId        : " + loginGroupId);
        System.out.println("LocaleId            : " + localeId);
        System.out.println("systemMatterId      : " + systemMatterId);
        System.out.println("userDataId          : " + userDataId);
        System.out.println("----- WorkflowCplMatterDeleteListener - execute -----");
    }

}
