<%@ page contentType="text/html; charset=utf-8" pageEncoding="utf-8" %>
<%@ taglib prefix="imui" uri="http://www.intra-mart.co.jp/taglib/imui" %>
<%@ taglib prefix="imart" uri="http://www.intra-mart.co.jp/taglib/core/standard" %>
<%@ taglib prefix="workflow" uri="http://www.intra-mart.co.jp/taglib/imw/workflow" %>
<%@ taglib prefix="spring"  uri="http://www.springframework.org/tags" %>
<%@ taglib prefix="f"      uri="http://terasoluna.org/functions" %>
<%@ page import="jp.co.intra_mart.foundation.multi_device.client_type.ClientTypeSwitcher" %>
<imui:head>
<title><spring:message code="SAMPLE.IMW.TSFW.CAP.001" /></title>
<link rel="stylesheet" href="im_workflow/css/im_workflow.css" type="text/css" />

<workflow:workflowOpenPageCsjs />
<script type="text/javascript">
$(function(){
	$('#close').click(function(){
		window.close();
		return false;
	});
});
</script>
</imui:head>

<workflow:workflowUserContentsAuth imwApplyBaseDate='${f:h(purchaseForm.imwApplyBaseDate)}'
            imwAuthUserCode = '${f:h(purchaseForm.imwAuthUserCode)}'
            imwFlowId='${f:h(purchaseForm.imwFlowId)}'
            imwNodeId ='${f:h(purchaseForm.imwNodeId)}'
            imwPageType = '${f:h(purchaseForm.imwPageType)}'
            imwSystemMatterId='${f:h(purchaseForm.imwSystemMatterId)}'
            imwUserDataId='${f:h(purchaseForm.imwUserDataId)}'/>

<body style="min-width:0px">
	<div class="imui-title-small-window">
		<h1 style="min-width:0px;"><spring:message code="SAMPLE.IMW.TSFW.CAP.001" /></h1>
	</div>
	<div id="imui-container" style="min-width:0px; min-height:0px;">
	 	<div class="imui-toolbar-wrap">
			<div class="imui-toolbar-inner" style="min-width:0px;">
			    <imart:condition validity='${isSmartPhone}' negative="true">
				<ul class="imui-list-toolbar">
					<li>
						<workflow:workflowMatterDetailLink systemMatterId='${f:h(purchaseForm.imwSystemMatterId)}'>
							<span class="im-workflow-icon-matter-detail mr-5"></span><spring:message code="SAMPLE.IMW.CAP.007" />
						</workflow:workflowMatterDetailLink>
					</li>
				</ul>
				</imart:condition>
				<imart:condition validity='${imwShortCutAccess}' negative="true">
				<ul class="imui-list-toolbar-utility">
					<li>
						<a href="javascript:void(0);" id="close">
							<span class="im-ui-icon-common-16-close mr-5"></span>
						</a>
					</li>
				</ul>
				</imart:condition>
			</div>
		</div>
	</div>
	<div class="imui-form-container mt-20">
		<header class="imui-chapter-title">
			<h2><spring:message code="SAMPLE.IMW.TSFW.CAP.001" /></h2>
		</header>

		<table class="imui-form">
			<tbody>
				<tr>
					<th><label><spring:message code="SAMPLE.IMW.CAP.020" /></label></th>
					<td><p>${f:h(purchaseForm.item_name)}</p></td>
				</tr>
				<tr>
					<th><label><spring:message code="SAMPLE.IMW.CAP.021" /></label></th>
					<td><p>${f:h(purchaseForm.item_amount)}</p></td>
				</tr>
				<tr>
					<th><label><spring:message code="SAMPLE.IMW.CAP.022" /></label></th>
					<td><p>${f:h(purchaseForm.item_price)}</p></td>
				</tr>
				<tr>
					<th><label><spring:message code="SAMPLE.IMW.CAP.023" /></label></th>
					<td><p>${f:h(purchaseForm.item_total)}</p></td>
				</tr>
				<tr>
					<th><label><spring:message code="SAMPLE.IMW.CAP.024" /></label></th>
					<td>
						<textarea id="notes" name="item_comment" rows="3" cols="40" readonly=true>${f:h(purchaseForm.item_comment)}</textarea>
					</td>
				</tr>
			</tbody>
		</table>
	</div>
</body>

